import request from "@/util/oaRequest"

// 查询设计项目汇报概述列表
export async function listReportSummary(query) {
  // return {
  //   rows: [
  //     {
  //       reportSummaryId: 1,
  //       reportTitle: '汇报标题',
  //       reportDate: '汇报日期',
  //       reporter: '汇报人',
  //       projectName: '设计项目',
  //       projectId: '1'
  //     },
  //     {
  //       reportSummaryId: 2,
  //       reportTitle: '汇报标题',
  //       reportDate: '汇报日期',
  //       reporter: '汇报人',
  //       projectName: '设计项目',
  //       projectId: '1'
  //     },
  //     {
  //       reportSummaryId: 3,
  //       reportTitle: '汇报标题',
  //       reportDate: '汇报日期',
  //       reporter: '汇报人',
  //       projectName: '设计项目',
  //       projectId: '1'
  //     },
  //     {
  //       reportSummaryId: 4,
  //       reportTitle: '汇报标题',
  //       reportDate: '汇报日期',
  //       reporter: '汇报人',
  //       projectName: '设计项目',
  //       projectId: '1'
  //     },
  //   ],
  //   total: 1,
  // }
  return request({
    url: '/system/reportSummary/list',
    method: 'get',
    params: query
  })
}

// 查询设计项目汇报概述详细
export function getReportSummary(id) {
  return request({
    url: '/system/reportSummary/' + id,
    method: 'get'
  })
}

// 新增设计项目汇报概述
export function addReportSummary(data) {
  return request({
    url: '/system/reportSummary',
    method: 'post',
    data: data
  })
}

// 修改设计项目汇报概述
export function updateReportSummary(data) {
  return request({
    url: '/system/reportSummary',
    method: 'put',
    data: data
  })
}

// 删除设计项目汇报概述
export function delReportSummary(id) {
  return request({
    url: '/system/reportSummary/' + id,
    method: 'delete'
  })
}
